<?php
/**
 *---------------------------------------------------------------------------
 * /var/lib/asterisk/config/output.php - Contains functions which handles the (error message) output to the console
 *
 * Creation:     2005-10-28 fw
 * Last Update:  $Id: consoleOutput.php 8393 2015-02-16 21:50:50Z holbru $
 *
 * Copyright (c) 2005 Fabian Wolter, fabian(at)eisfair(dot)org
 * Copyright (c) 2014-2019 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *---------------------------------------------------------------------------
 */

function debug($text, $newline = true) {
    global $debug;

    if ($debug) {
        if ($newline) {
            $suffix = "\n";
        }
        $prefix = 'DEBUG: ';

        $stderr = fopen('php://stderr', 'w');

        fwrite($stderr, $prefix.$text.$suffix);
    }
}

function err($text, $line = "") {
    if (!empty ($line))
        $lineStr = ' ('.$line.')';
    echo 'ERROR'.$lineStr.': '. $text."\n";
}

function warn($text, $newline = TRUE) {
    $stderr = fopen('php://stderr', 'w');
    fwrite($stderr, 'WARNING: '.$text."\n");
}
?>