<?php
/**
 *---------------------------------------------------------------------------
 * /var/lib/asterisk/config/include/reversLookup.php -
 *
 * Creation:     2005-10-28 fw
 * Last Update:  $Id: reverseLookup.php 7799 2014-10-22 18:47:43Z holbru $
 *
 * Copyright (c) 2005 Fabian Wolter, fabian(at)eisfair(dot)org
 * Copyright (c) 2014-2019 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *---------------------------------------------------------------------------
 */
function umlaut($str) {
    $str = preg_replace("/ö/", "oe", $str);
    $str = preg_replace("/Ö/", "Oe", $str);
    $str = preg_replace("/ä/", "ae", $str);
    $str = preg_replace("/Ä/", "Ae", $str);
    $str = preg_replace("/ü/", "ue", $str);
    $str = preg_replace("/Ü/", "Ue", $str);
    return preg_replace("/ß/", "ss", $str);
}

function setCID($cidName, $cidNum) {
    $cidName = umlaut($cidName);
    $cidNum = addZero($cidNum);

    echo "SET VARIABLE CID \"$cidNum\"\n";
    echo "SET VARIABLE NAME \"$cidName\"\n";
}

function quit() {
    global $t1, $number, $name;

    fclose($fp);
    fclose($stdin);

    $t2 = microtime(TRUE);

    $res = round(($t2 - $t1), 3);

    echo "VERBOSE \"Execution time: $res sec.\"\n";

    exit ();
}

function addZero($cidNum) {
    $cidNum = preg_replace("#^0049#", "0", $cidNum);
    $cidNum = preg_replace("#^49#", "0", $cidNum);

    //    if ($cidNum {
    //        0 }
    //    != 0)
    //    $cidNum = "0".$cidNum;

    return $cidNum;
}

function lookupName($number) {
    global $ARGS;

    $result = mysql_query("SELECT name FROM " . $ARGS["table"] . " WHERE number='$number'");
    if ($result) {
        if (mysql_num_rows($result) > 0) {
            list ($name) = mysql_fetch_row($result);
            return array (
                $name
            );
        } else {
            return array(FALSE, FALSE);
        }
    } else {
        return array (
            FALSE,
        mysql_error());
    }
}
?>
