<?php
/**
 *---------------------------------------------------------------------------
 * A Script to write an Eisfair-Asterisk configuration file
 *
 * Creation:     2005-10-28  fw
 * Last Update:  $Id: wcUnistim.php 7799 2014-10-22 18:47:43Z holbru $
 *
 * Copyright (c) 2005 Fabian Wolter, fabian(at)eisfair(dot)org
 * Copyright (c) 2014-2019 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *---------------------------------------------------------------------------
 */

if (empty($wcContent)) {
    $wcContent = '';
}

$wcContent.= '[general]'."\n";
$wcContent.= 'port=5000'."\n";

if (isset ($VARS['ASTERISK_PHONES']))
    foreach ($VARS['ASTERISK_PHONES'] as $phone) {
        if ($phone['TYPE'] != 'unistim') {
            continue;
        }

        $wcContent.=  '[unistim'.$phone['MSN'].']'."\n";
        $wcContent.=  'device='.$phone['MAC_ADDR']."\n";
        $wcContent.=  'line => '.$phone['MSN']."\n\n";
    }
?>
