<?php
/**
 *---------------------------------------------------------------------------
 * /var/lib/asterisk/webinterface/htdocs/modules/protocoll/callback.php
 *
 * Creation:     2005-04-16 fw
 * Last Update:  $Id: callback.php 8453 2015-03-14 20:23:08Z holbru $
 *
 * Copyright (c) 2005-2006 Fabian Wolter, fabian(at)eisfair(dot)org
 * Copyright (c) 2014-2019 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *---------------------------------------------------------------------------
 */

if ($VARS['ASTERISK_START_TAPI'] != 'yes') {
    msg('ASTERISK_START_TAPI muss aktiviert sein! Abbruch ...;error'."\n");
    exit;
}

if (isset($_GET['CallNumber']) && isset($_GET['internal'])) {
    if (TAPIConnect($tapi_host, $tapi_port, $tapi_user, $tapi_pass)) {
        $ph = new phone($_GET['internal']);

        $my_echo  ='Der Anruf vom Endger&auml;t '.$ph->getMsn().' nach ';
        $my_echo .= $_GET['CallNumber'].' wird hergestellt ...';
        echo $my_echo;
        TAPIOriginate($ph, $_GET['CallNumber']);
    } else {
        echo 'Anruf fehlgeschlagen!';
    }
} else {
    $my_echo  = '<h2>Bitte das interne Endger&auml;t ausw&auml;hlen, zu';
    $my_echo .= ' dem das Gespr&auml;ch geschaltet werden soll</h2>'."\n";
    echo $my_echo;
    echo '<ul>'."\n";

    foreach ($VARS['ASTERISK_PHONES'] as $key => $phone) {
        echo '<li>'.strtoupper($phone['TYPE']).": <a href=\"$URI&amp;file=callback.php&amp;CallNumber=".$_GET['callNumber']."&amp;internal=".$key."\">".$phone['MSN']."</a></li>\n";
    }
    echo '</ul>'."\n";
}
?>
