<?php
/**
 *---------------------------------------------------------------------------
 * /var/lib/asterisk/webinterface/htdocs/modules/vbox/index.php
 *
 * Creation:     2005-04-16 fw
 * Last Update:  $Id: index.php 8557 2015-04-06 21:47:26Z holbru $
 *
 * Copyright (c) 2005-2006 Fabian Wolter, fabian(at)eisfair(dot)org
 * Copyright (c) 2014-2019 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *----------------------------------------------------------------------------
 */

if (empty($poststr)) {
    $poststr = '';
}

foreach($_POST as $key => $post) {
    $key = str_replace("_", ".", $key);
    $poststr.= "$key=".urlencode($post)."&";
}

$poststr = substr($poststr, 0, -1);

/*
 * check if force ssl set
 */
if ($VARS['ASTERISK_WEBINTERFACE_FORCE_SSL'] == 'yes' ) {
    $connect_ssl = 'ssl://';
} else {
    $connect_ssl = '';
}

$fp = fsockopen($connect_ssl."127.0.0.1", 3002, $errno, $errstr);
if (!$fp) {
    $error = 'Fehler beim Verbinden mit dem Voicebox Interface;error'."\n";
} else {
    $path = '/vmail.cgi';

$header = "POST $path HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Cookie: format=wav;
Authorization: Basic ".base64_encode($VARS["ASTERISK_WEBINTERFACE"][1]["USER"].":".$VARS["ASTERISK_WEBINTERFACE"][1]["PASSWD"])."
Content-Length: ".strlen($poststr)."

$poststr

";

//echo "<pre>$header
//
//".urldecode($poststr)."\n\n";

    fputs($fp, $header);

    $bStart = false;

    while(!feof($fp)) {
        $line = fgets($fp);

        if($line == "\r\n") {
            $bStart = true;
            #echo "</pre>\n";
        }

        if($bStart)
            echo $line;
    }

    fclose($fp);
}

if (!empty($error)) {
    msg($error);
}
?>
