#!/usr/bin/php -q
<?php
/**
 *---------------------------------------------------------------------------
 * /var/install/config.d/asterisk.php - Configuration file generation
 *
 * Creation:     2004-11-19  fw
 * Last Update:  $Id: asterisk.php 9133 2015-11-30 12:43:30Z holbru $
 *
 * Copyright (c) 2004-2005 Fabian Wolter, fabian(at)eisfair(dot)org
 * Copyright (c) 2012-2019 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *---------------------------------------------------------------------------
 */

//error_reporting(E_ERROR & E_WARNING);

$debug = false;

if (empty($wcContent)) {
    $wcContent = '';
}

$lcrRoutingFile = '/etc/asterisk/lcr/tsblcr.routing';
$lcrSipConf     = '/etc/asterisk/sip.conf';
define('OPTIONS_INCOMING', 't');  // t: Calltransfer.
define('OPTIONS_OUTGOING', 'TW'); // T: Calltransfer, W: allow to record.
define('DIALTIMEOUT', '120');
define('CONFIGFILE_PATH', '/etc/asterisk/');

require '/var/lib/asterisk/config/main.php';

list ($VARS, $all_vars) = read_vars('/etc/config.d/asterisk');

writeConfig('Extensions');
writeConfig('Unistim');
writeConfig('Manager');
writeConfig('Skinny');
writeConfig('SCCP');
writeConfig('Capi');
writeConfig('Iax');
writeConfig('Sip');
writeConfig('Rtp');

require '/var/lib/asterisk/config/phonebook.php';

?>
