<?php
/**
 *---------------------------------------------------------------------------
 * A Script to write an eisfair-Asterisk configuration file
 *
 * Creation:     2005-10-28  fw
 * Last Update:  $Id: wcCapi.php 7799 2014-10-22 18:47:43Z holbru $
 *
 * Copyright (c) 2005 Fabian Wolter, fabian(at)eisfair(dot)org
 * Copyright (c) 2014-2019 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *---------------------------------------------------------------------------
 */

if (empty($wcContent)) {
    $wcContent = '';
}

$wcContent.= '[general]'."\n";
$wcContent.= 'nationalprefix=0'."\n";
$wcContent.= 'internationalprefix=00'."\n";
$wcContent.= 'rxgain=0.8'."\n";
$wcContent.= 'txgain=0.8'."\n\n";
$wcContent.= 'language='.$VARS['ASTERISK_LANGUAGE']."\n\n";

$wcContent.= '[ISDN1]'."\n";

//if (isset ($VARS["ASTERISK_SIP"])) {
//    foreach ($VARS["ASTERISK_SIP"] as $sip) {
//
//        $sipfallback = $sip["FALLBACK"];
//
//        if (isset ($sipfallback)) {
//
//            $fallbacks = explode(" ", $sipfallback);
//
//            foreach ($fallbacks as $fallback) {
//                list ($type, $outgoing) = explode(":", $fallback);
//
//                if ($type == "capi")
//                    $all_outgoing_msns[] = $outgoing;
//            }
//        }
//
//        if ($sip["REDIRECT"] == "yes")
//            $all_outgoing_msns[] = $sip["REDIRECT_OUTGOING_MSN"];
//    }
//}
//
//foreach ($VARS["ASTERISK_PHONES"] as $phone) {
//    $all_outgoing_msns[] = $phone["OUTGOING_MSN"];
//    $all_incoming_msns[] = $phone["RING_ON_CAPI"];
//}
//
//if ($VARS["ASTERISK_CAPI_EXTRA_N"] != 0) {
//
//    foreach ($VARS["ASTERISK_CAPI_EXTRA"] as $extra) {
//        $all_outgoing_msns[] = $extra["REDIRECT_OUTGOING_MSN"];
//        $all_incoming_msns[] = $extra["MSN"];
//    }
//}
//
//if ($VARS["ASTERISK_CALLTHROUGH_N"] != 0) {
//
//    foreach ($VARS["ASTERISK_CALLTHROUGH"] as $ct) { # ct = callthrough
//        $all_outgoing_msns[] = $ct["OUTGOING_MSN"];
//        $all_incoming_msns[] = $ct["MSN"];
//    }
//}

list(,$all_incoming_msns) = getAllMsns();

$wcContent.= 'isdnmode=msn'."\n";
$wcContent.= 'incomingmsn='.implode(',', $all_incoming_msns)."\n";

$wcContent.= 'controller=1'."\n";
$wcContent.= 'group=1'."\n";
$wcContent.= 'softdtmf=on'."\n";
$wcContent.= 'relaxdtmf=on'."\n";
$wcContent.= 'accountcode='."\n";
$wcContent.= 'context=incoming'."\n";
$wcContent.= 'devices=2'."\n";
$wcContent.= 'immediate=yes'."\n\n";

?>
